org.apache.catalina.core

## Class ApplicationPart

- java.lang.Object
- - org.apache.catalina.core.ApplicationPart

- All Implemented Interfaces:
    Part

      public class ApplicationPart
      extends Object
      implements Part

  Adaptor to allow `FileItem` objects generated by the package renamed commons-upload to be used by the Servlet 3.0 upload API that expects `Part`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationPart(FileItem fileItem, File location)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()` Deletes the underlying storage for a part, including deleting any associated temporary disk file.
    `String` | `getContentType()` Obtain the content type passed by the browser or `null` if not defined.
    `String` | `getFilename()` Deprecated. Use `getSubmittedFileName()` from Servlet 3.1 instead. This method will be removed in Tomcat 8.
    `String` | `getHeader(String name)` Obtains the value of the specified part header as a String.
    `Collection<String>` | `getHeaderNames()` Returns a Collection of all the header names provided for this part.
    `Collection<String>` | `getHeaders(String name)` Obtain all the values of the specified part header.
    `InputStream` | `getInputStream()` Obtain an `InputStream` that can be used to retrieve the contents of the file.
    `String` | `getName()` Obtain the name of the field in the multipart form corresponding to this part.
    `long` | `getSize()` Obtain the size of this part.
    `String` | `getString(String encoding)`
    `String` | `getSubmittedFileName()` Adapted from FileUploadBase.getFileName().
    `void` | `write(String fileName)` A convenience method to write an uploaded part to disk.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPart

          public ApplicationPart(FileItem fileItem,
                         File location)

  - ### Method Detail

    - #### delete

          public void delete()
                      throws IOException

      Description copied from interface: `javax.servlet.http.Part`
      Deletes the underlying storage for a part, including deleting any associated temporary disk file. Although the container will delete this storage automatically this method can be used to ensure that this is done at an earlier time, thus preserving system resources.

      Containers are only required to delete the associated storage when the Part instance is garbage collected. Apache Tomcat will delete the associated storage when the associated request has finished processing. Behaviour of other containers may be different.

      Specified by:
        `delete` in interface `Part`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Description copied from interface: `javax.servlet.http.Part`
      Obtain the content type passed by the browser or `null` if not defined.
      Specified by:
        `getContentType` in interface `Part`

    - #### getHeader

          public String getHeader(String name)

      Description copied from interface: `javax.servlet.http.Part`
      Obtains the value of the specified part header as a String. If there are multiple headers with the same name, this method returns the first header in the part. The header name is case insensitive.
      Specified by:
        `getHeader` in interface `Part`
      Parameters:
        `name` - Header name
      Returns:
        The header value or `null` if the header is not present

    - #### getHeaderNames

          public Collection<String> getHeaderNames()

      Description copied from interface: `javax.servlet.http.Part`
      Returns a Collection of all the header names provided for this part.
      Specified by:
        `getHeaderNames` in interface `Part`

    - #### getHeaders

          public Collection<String> getHeaders(String name)

      Description copied from interface: `javax.servlet.http.Part`
      Obtain all the values of the specified part header. If the part did not include any headers of the specified name, this method returns an empty Collection. The header name is case insensitive.
      Specified by:
        `getHeaders` in interface `Part`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Description copied from interface: `javax.servlet.http.Part`
      Obtain an `InputStream` that can be used to retrieve the contents of the file.
      Specified by:
        `getInputStream` in interface `Part`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Description copied from interface: `javax.servlet.http.Part`
      Obtain the name of the field in the multipart form corresponding to this part.
      Specified by:
        `getName` in interface `Part`

    - #### getSize

          public long getSize()

      Description copied from interface: `javax.servlet.http.Part`
      Obtain the size of this part.
      Specified by:
        `getSize` in interface `Part`

    - #### write

          public void write(String fileName)
                     throws IOException

      Description copied from interface: `javax.servlet.http.Part`
      A convenience method to write an uploaded part to disk. The client code is not concerned with whether or not the part is stored in memory, or on disk in a temporary location. They just want to write the uploaded part to a file. This method is not guaranteed to succeed if called more than once for the same part. This allows a particular implementation to use, for example, file renaming, where possible, rather than copying all of the underlying data, thus gaining a significant performance benefit.
      Specified by:
        `write` in interface `Part`
      Parameters:
        `fileName` - The location into which the uploaded part should be stored. Relative locations are relative to `MultipartConfigElement.getLocation()`
      Throws:
        `IOException`

    - #### getString

          public String getString(String encoding)
                           throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

    - #### getFilename

          @Deprecated
          public String getFilename()

      Deprecated. Use `getSubmittedFileName()` from Servlet 3.1 instead. This method will be removed in Tomcat 8.
      Calls `getSubmittedFileName()`.

    - #### getSubmittedFileName

          public String getSubmittedFileName()

      Adapted from FileUploadBase.getFileName(). Method name chosen to be consistent with Servlet 3.1.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.